SF.net SVN: jikesrvm:[15724] rvmroot/trunk/bin/test-mmtk

View: New views
1 Messages — Rating Filter:   Alert me  

SF.net SVN: jikesrvm:[15724] rvmroot/trunk/bin/test-mmtk

by rgarner :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Revision: 15724
          http://jikesrvm.svn.sourceforge.net/jikesrvm/?rev=15724&view=rev
Author:   rgarner
Date:     2009-07-13 08:30:58 +0000 (Mon, 13 Jul 2009)

Log Message:
-----------
Add some command-line options

Modified Paths:
--------------
    rvmroot/trunk/bin/test-mmtk

Modified: rvmroot/trunk/bin/test-mmtk
===================================================================
--- rvmroot/trunk/bin/test-mmtk 2009-07-13 08:13:58 UTC (rev 15723)
+++ rvmroot/trunk/bin/test-mmtk 2009-07-13 08:30:58 UTC (rev 15724)
@@ -14,22 +14,41 @@
 # Temporary script
 
 TEST_DIR=MMTk/harness/test-scripts
-ant clean compile-mmtk mmtk-harness
-rm -rf results/mmtk
-mkdir -p results/mmtk
 
 plans="org.mmtk.plan.copyms.CopyMS org.mmtk.plan.generational.copying.GenCopy org.mmtk.plan.generational.immix.GenImmix org.mmtk.plan.generational.marksweep.GenMS org.mmtk.plan.immix.Immix org.mmtk.plan.markcompact.MC org.mmtk.plan.marksweep.MS org.mmtk.plan.poisoned.Poisoned org.mmtk.plan.refcount.fullheap.RC org.mmtk.plan.refcount.generational.GenRC org.mmtk.plan.semispace.SS org.mmtk.plan.stickyimmix.StickyImmix org.mmtk.plan.stickyms.StickyMS"
 
-opts="variableSizeHeap=false $*"
+opts="variableSizeHeap=false"
 #opts="$opts gcEvery=SAFEPOINT"
 
 jvm_opts="-ea"
+build=true
 
+scripts="*"
+
+while [ $# -gt 0 ]; do
+  case "$1" in
+    -plan) plans="$2"; shift;;
+    -opts) opts="$opts $2"; shift;;
+    -script) scripts="$2"; shift;;
+    -nobuild) build=false;;
+    *) echo "Unknown parameter $1"
+       echo "Usage: $0 [-plan plan] [-opts harness-options] "
+       exit 1;;
+  esac
+  shift
+done
+
+if [ $build = true ]; then
+  ant clean compile-mmtk mmtk-harness
+fi
+rm -rf results/mmtk
+mkdir -p results/mmtk
+
 for plan in $plans
 do
   showplan=`echo $plan | sed -e "s/.*\.//g"`
   mkdir results/mmtk/$showplan
-  for script in `ls $TEST_DIR/*.script`
+  for script in `ls $TEST_DIR/${scripts}.script`
   do
     showscript=`echo $script | sed -e "s/.*[\/]//g" | sed -e "s/\.script$//g"`
     if [ -f $TEST_DIR/$showscript.options ]; then


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.

------------------------------------------------------------------------------
Enter the BlackBerry Developer Challenge  
This is your chance to win up to $100,000 in prizes! For a limited time,
vendors submitting new applications to BlackBerry App World(TM) will have
the opportunity to enter the BlackBerry Developer Challenge. See full prize  
details at: http://p.sf.net/sfu/Challenge
_______________________________________________
Jikesrvm-commits mailing list
Jikesrvm-commits@...
https://lists.sourceforge.net/lists/listinfo/jikesrvm-commits